### Function

# GLib Hook ref

#### Declaration [src]

    GHook*
    g_hook_ref (
      GHookList* hook_list,
      GHook* hook
    )

#### Description [src]

Increments the reference count for a `GHook`.

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to increment the reference count of.

  The data is owned by the caller of the function.

#### Return value

Type: `GHook`

The `hook` that was passed in (since 2.6).

The caller of the function takes ownership of the data, and is responsible for freeing it.